Bug 55475 - Timed Out when downloading the Ximain Desktop
Timed Out when downloading the Ximain Desktop
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: lynx (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-31 17:36 EST by ed johnstone
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 09:51:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ed johnstone 2001-10-31 17:36:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
Even though /etc/lynx.cfg is configured to work with the http_proxy, I
believe it is
failing with the ftp_proxy.  I have the same information listed that I am
using on a 7.0
box, but on the 7.1 box when I get to the downloading with lynx it hangs
and times out.

I have successfully configured "ncftp" by setting "passive=off".

In addtion to having the correct
"ftp_proxy:http://some.server.domain:port/,
I have tried the last line of lynx.cfg to read either "FTP_PASSIVE:TRUE",
or "FALSE".  Neither one works.  It still hangs.

I have successfully configured lynx on 7.0 to download from Ximian.com
but not with redhat 7.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.At the prompt, as root, type: lynx -source http://go-gnome.com/ |sh
2.After connected, hit "Enter", then choose a download site.
The following message appears:
   I  am now fetching the Ximian Desktop graphical installer. This
can take a few minutes, so please be patient. 
3.After hanging, the folIowing error appears:.

red-carpet.ximian.com: Connection timed out
Error!

A required file could not be downloaded from Ximian servers.
Please mail distribution@ximian.com with a description of the
problem, including any error messages that were displayed.
go-gnome: 4.0.2 (Tue Oct 30 16:24:37 EST 2001)

I am now fetching the Ximian Desktop graphical installer. This
can take a few minutes, so please be patient.

mirror.dulug.duke.edu: Connection timed out
Error!

A required file could not be downloaded from Ximian servers.
Please mail distribution@ximian.com with a description of the
problem, including any error messages that were displayed.

If you need to use an http proxy, you will need to set the
http_proxy environment variable:
export http_proxy="http://host:port/"

The file was being downloaded from
`http://mirror.dulug.duke.edu/pub/ximian-gnome/installers/installer-rpm-glibc2.2-i386.gz'
into `/var/cache/redcarpet/installer-rpm-glibc2.2-i386'.
	

Actual Results:  That's it.  Nothing

Expected Results:  The download should have started

Additional info:
Comment 1 ed johnstone 2001-11-01 09:51:51 EST
11/1/01

I am checking again whether this lynx download really did work on RedHat 7.0.
I may not have, I may have done a manual installation.
I will get back and may ask you to disregard this bug.
Give me a few hours.
ed@lilly.com
Comment 2 Bernhard Rosenkraenzer 2001-11-05 09:22:37 EST
This appears to be a problem with their connectivity being too slow and/or the proxy being broken - works here (both with and without a (RH 7.2/squid based) proxy). 
 
Comment 3 ed johnstone 2001-11-05 09:47:37 EST
Yes, must be a proxy problem here with my firewall.
Once, I manually installed the "installation" program,
the rest of Ximian downloaded, and installed fine.

Thanks for closing.

Note You need to log in before you can comment on or make changes to this bug.